const path = require("path");
const webpack = require("webpack");
const MiniCssExtractPlugin = require('mini-css-extract-plugin');

module.exports = {
    mode: 'development',
    entry: {
        main: ["./src/main/main.js", "jquery", "bootstrap", "admin-lte"],
        index: ["./src/index", "jquery", "bootstrap"],
    },
    output: {
        path: path.join(__dirname, "../static/bundle/"),
        filename: "[name].js",
    },
    module: {
		rules: [ 
			{ 
				test: /\.css$/i, 
        		use: [MiniCssExtractPlugin.loader, 'css-loader'],
			}, 
		],
    },
    plugins: [
        new webpack.ProvidePlugin({
            $: "jquery", // jquery 모듈을 불러온다.
            jQuery: "jquery", // jquery 모듈을 불러온다.
            "window.jQuery": "jquery" // angular.js 에서 jquery 를 사용시
        }),
        new MiniCssExtractPlugin({filename: "[name].css"}),
	]
};
